> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Vendor Balance Transfer Charges

> This API returns the applicable service charge and service tax for a vendor balance transfer, based on the provided amount and rate type.



## OpenAPI

````yaml /openapi/payments/v2025-01-01.yaml get /easy-split/amount/{amount}/charges
openapi: 3.0.0
info:
  version: '2025-01-01'
  title: Cashfree Payment Gateway APIs
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  description: >-
    Cashfree's Payment Gateway APIs provide developers with a streamlined
    pathway to integrate advanced payment processing capabilities into their
    applications, platforms and websites.
servers:
  - url: https://sandbox.cashfree.com/pg
    description: Sandbox server.
  - url: https://api.cashfree.com/pg
    description: Production server.
security: []
tags:
  - name: Orders
    description: Collection of APIs to handle orders.
  - name: Payments
    description: Collection of APIs to handle payments.
  - name: Refunds
    description: Collection of APIs to handle refunds.
  - name: Settlements
    description: Collection of APIs to handle settlements.
  - name: Payment Links
    description: Collection of APIs to handle payment links.
  - name: Token Vault
    description: >-
      Collection of APIs to use Cashfree's token Vault. This helps you save
      cards and tokenize them in a PCI complaint manner. We support creation of
      network tokens which can be used across acquiring banks.
  - name: softPOS
    description: Collection of APIs to manage softPOS' agent and order.
  - name: Offers
    description: Collection of APIs to handle offers.
  - name: Eligibility
    description: >-
      Collection of APIs to check eligibile entities - payment methods, offer,
      affordibility.
  - name: Settlement Reconciliation
    description: Collection of APIs to handle settlements.
  - name: PG Reconciliation
    description: Collection of APIs to handle reconciliation.
  - name: Customers
    description: Collection of APIs to handle customers.
  - name: Easy-Split
    description: Collection of APIs to handle Easy-Split.
  - name: Simulation
    description: Collection of APIs to handle simulation.
  - name: Disputes
    description: Collection of APIs to handle disputes.
  - name: Utilities
    description: Collection of APIs for utility requirement.
  - name: Downtimes
    description: Collection of APIs for managing downtimes.
externalDocs:
  url: https://api.cashfree.com/pg
  description: This url will have the information of all the APIs.
paths:
  /easy-split/amount/{amount}/charges:
    get:
      tags:
        - Easy-Split
      summary: Get Vendor Balance Transfer Charges
      description: >-
        This API returns the applicable service charge and service tax for a
        vendor balance transfer, based on the provided amount and rate type.
      operationId: PGESGetVendorBalanceTransferCharges
      parameters:
        - $ref: '#/components/parameters/apiVersionHeader'
        - $ref: '#/components/parameters/amountParam'
        - $ref: '#/components/parameters/rateTypeParam'
        - $ref: '#/components/parameters/xRequestIDHeader'
        - $ref: '#/components/parameters/xIdempotencyKeyHeader'
      responses:
        '200':
          $ref: >-
            #/components/responses/GetVendorBalanceTransferChargesSuccessResponse
        '400':
          $ref: '#/components/responses/Response400GetVendorBalanceTransferCharges'
      deprecated: false
      security:
        - XClientID: []
          XClientSecret: []
        - XClientID: []
          XPartnerAPIKey: []
        - XClientID: []
          XClientSignatureHeader: []
        - XPartnerMerchantID: []
          XPartnerAPIKey: []
components:
  parameters:
    apiVersionHeader:
      in: header
      name: x-api-version
      required: true
      description: API version to be used. Format is in YYYY-MM-DD.
      schema:
        type: string
        description: API version to be used.
        default: '2025-01-01'
      example: '2025-01-01'
      x-ignore: true
    amountParam:
      name: amount
      in: path
      required: true
      description: >-
        Specify the amount for which you want to view the service charges and
        service taxes in the response.
      schema:
        type: number
        format: float64
      example: 1000
    rateTypeParam:
      name: rate_type
      in: query
      required: true
      description: >-
        Mention the type of rate for which you want to check the charges.
        Possible value: VENDOR_ON_DEMAND.
      schema:
        type: string
      example: VENDOR_ON_DEMAND
    xRequestIDHeader:
      in: header
      name: x-request-id
      description: >-
        Request ID for the API call. Can be used to resolve tech issues.
        Communicate this in your tech related queries to Cashfree.
      required: false
      schema:
        type: string
      example: 4dfb9780-46fe-11ee-be56-0242ac120002
    xIdempotencyKeyHeader:
      in: header
      name: x-idempotency-key
      required: false
      description: >
        An idempotency key is a unique identifier you include with your API
        call.

        If the request fails or times out, you can safely retry it using the
        same key to avoid duplicate actions.
      schema:
        type: string
        format: UUID
      example: 47bf8872-46fe-11ee-be56-0242ac120002
  responses:
    GetVendorBalanceTransferChargesSuccessResponse:
      description: Success response for getting Vendor Balance Transfer Charges.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/VendorBalanceTransferCharges'
          examples:
            PG:
              value:
                service_charges: 20
                service_tax: 3.6
                amount: 1000
                billed_to: MERCHANT
                is_postpaid: true
    Response400GetVendorBalanceTransferCharges:
      description: Get Vendor Balance Transfer Charges Failure Response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
          examples:
            Invalid rate type:
              value:
                message: >-
                  The parameter rateType must have a value among :
                  VENDOR_ON_DEMAND,
                code: api_request_failed
                type: invalid_request_error
            Rate not found:
              value:
                message: Rate not found
                code: api_request_failed
                type: invalid_request_error
  schemas:
    VendorBalanceTransferCharges:
      title: VendorBalanceTransferCharges
      description: Vendor Balance Transfer Charges entity object.
      type: object
      properties:
        service_charges:
          type: number
          format: float64
        service_tax:
          type: number
          format: float64
        amount:
          type: number
          format: float64
        billed_to:
          type: string
        is_postpaid:
          type: boolean
    BadRequestError:
      title: BadRequestError
      description: Invalid request received from client.
      example:
        message: bad URL, please check API documentation
        help: >-
          Check latest errors and resolution from Merchant Dashboard API logs:
          https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9
        code: request_failed
        type: invalid_request_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        help:
          type: string
        type:
          type: string
          enum:
            - invalid_request_error
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Client app ID. You can find your app id in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        Client secret key. You can find your secret key in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).
    XPartnerAPIKey:
      type: apiKey
      in: header
      name: x-partner-apikey
      description: >-
        If you are partner and you are making an api call on behalf of a
        merchant.
    XClientSignatureHeader:
      type: apiKey
      in: header
      name: x-client-signature
      description: >-
        Use this if you do not want to pass the secret key and instead want to
        use signature.
    XPartnerMerchantID:
      type: apiKey
      in: header
      name: x-partner-merchantid
      description: >-
        If you are partner use this to specify the merchant ID if you don't have
        the merchant client app ID.

````